Package org.gradle.nativeplatform.tasks

# Interface ObjectFilesToBinary

All Superinterfaces:
  `Comparable<Task>`, `ExtensionAware`, `Named`, `Task`

All Known Implementing Classes:
  `AbstractLinkTask`, `CreateStaticLibrary`, `LinkExecutable`, `LinkMachOBundle`, `LinkSharedLibrary`

public interface ObjectFilesToBinary extends Task
A task that combines a set of object files into a single binary.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `source(Object source)`
  Adds a set of object files to be combined into the file binary.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.gradle.api.plugins.ExtensionAware

  `getExtensions`

  ### Methods inherited from interface org.gradle.api.Task

  `configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, doNotTrackState, finalizedBy, getActions, getAnt, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, notCompatibleWithConfigurationCache, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

- ## Method Details

  - ### source

    void source(Object source)
    Adds a set of object files to be combined into the file binary. The provided source object is evaluated as per `Project.files(Object...)`.